@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;700&display=swap");

* {
  box-sizing: border-box;
}

:root {
  --primary-color: #22254b;
  --secondary-color: #373b69;
}

body {
  font-family: "Poppins", sans-serif;
  margin: 0;
}

#background-video {
  position: fixed;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  width: auto;
  height: auto;
  z-index: -1;
}

header {
  padding: 1rem;
  display: flex;
  justify-content: center;
  background-color: transparent;
}

.search {
  background-color: transparent;
  border: 2px solid var(--primary-color);
  padding: 0.5rem 1rem;
  border-radius: 50px;
  font-size: 1rem;
  color: #fff;
  font-family: inherit;
}

.search:focus {
  outline: 0;
  background-color: var(--primary-color);
}

.search::placeholder {
  color: #7378c5;
}

main {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.movie {
  width: 300px;
  margin: 1rem;
  border-radius: 15px;
  box-shadow: 0.2px 4px 5px rgba(0, 0, 0, 0.1);
  background-color: var(--secondary-color);
  position: relative;
  overflow: hidden;
}

.movie img {
  width: 100%;
}

.movie-info {
  color: #eee;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.5rem 1rem 1rem;
  letter-spacing: 0.5px;
}

.movie-info h3 {
  margin-top: 0;
}

.movie-info span {
  background-color: var(--primary-color);
  padding: 0.25rem 0.5rem;
  border-radius: 3px;
  font-weight: bold;
}

.movie-info span.green {
  color: lightgreen;
}

.movie-info span.orange {
  color: orange;
}

.movie-info span.red {
  color: red;
}

.overview {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  padding: 1rem;
  max-height: 100%;
  transform: translateY(101%);
  transition: transform 0.3s ease-in;
}

.movie:hover .overview {
  transform: translateY(0);
}

#tags {
  width: 80%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin: 10px auto;
}

.tag {
  color: white;
  padding: 10px 20px;
  background-color: orange;
  border-radius: 50px;
  margin: 5px;
  display: inline-block;
  cursor: pointer;
}

.tag.highlight {
  background-color: red;
}
.no-results {
  color: white;
}

.pagination {
  display: flex;
  margin: 10px 30px;
  align-items: center;
  justify-content: center;
  color: white;
}

.page {
  padding: 20px;
  cursor: pointer;
}

.page.disabled {
  cursor: not-allowed;
  color: grey;
}

.current {
  padding: 10px 20px;
  border-radius: 50%;
  border: 5px solid #fa71cd;
  font-size: 20px;
  font-weight: 600;
}

.know-more {
  background-color: #fa71cd;
  color: white;
  font-size: 16px;
  font-weight: bold;
  border: 0;
  border-radius: 50px;
  padding: 10px 20px;
  margin-top: 5px;
}

.overlay {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  background-color: #22254b;
  background-color: rgba(0, 0, 0, 0.1);
  overflow-x: hidden;
  transition: 0.5s;
}

.overlay-content {
  position: relative;
  top: 10%;
  width: 100%;
  text-align: center;
  margin-top: 30px;
}

.overlay a {
  padding: 8px;
  text-decoration: none;
  font-size: 36px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.overlay a:hover,
.overlay a:focus {
  color: #f1f1f1;
}

.overlay .closebtn {
  position: absolute;
  top: 20px;
  right: 45px;
  font-size: 60px;
}

@media screen and (max-height: 450px) {
  .overlay a {
    font-size: 20px;
  }
  .overlay .closebtn {
    font-size: 40px;
    top: 15px;
    right: 35px;
  }
}

.embed.hide {
  display: none;
}

.embed.show {
  display: inline-block;
}

.arrow {
  position: absolute;
  font-size: 40px;
}

.arrow.left-arrow {
  top: 50%;
  left: 5%;
  transform: translateY(-50%);
}

.arrow.right-arrow {
  top: 50%;
  transform: translateY(-50%);
  right: 5%;
}

.dots {
  margin-top: 30px;
}

.dots .dot {
  padding: 5px 15px;
  border-radius: 50%;
  border: 5px solid var(--secondary-color);
  color: white;
  font-size: 20px;
  font-weight: 600;
  margin: 5px;
}

.dots .dot.active {
  border-color: orange;
}
